#!/bin/sh
# Build a public release of Q3MIN under Win32

# Public releases check the CRC of 'pak1.pk3', as well as the unique
# hard-coded ID number of the EXE files at startup and refuse to run
# if the values do not match.

rm -f Makefile.local
cat Makefile.local.win32 > Makefile.local
echo "" >> Makefile.local
echo "BUILD_PUBLIC = 1" >> Makefile.local

# Ensure that VM modules are not rebuilt (would change CRC)

touch ./build/release-mingw32-x86/baseqm/vm/cgame.qvm
touch ./build/release-mingw32-x86/baseqm/vm/qagame.qvm
touch ./build/release-mingw32-x86/baseqm/vm/ui.qvm

# Ensure that the client and server EXEs are rebuilt so that they
# use the CRC checking code

touch ./code/qcommon/common.c

make
